# MontyHallGame.MontyHallOptionsMenuScreen Class Reference

The options for the Monty Hall Game. More...

Inheritance diagram for MontyHallGame.MontyHallOptionsMenuScreen:

List of all members.

## Public Member Functions
| MontyHallOptionsMenuScreen ()
| Constructor for the options menu screen of the gravity chooser.
override void | LoadContent ()
| Load graphics content for the screen.
override void | Update (GameTime gameTime, bool otherScreenHasFocus, bool coveredByOtherScreen)
| Update the main menu screen.
override void | Draw (GameTime gameTime)
| Draw the options screen.

## Detailed Description

The options for the Monty Hall Game.

Definition at line 20 of file MontyHallOptionsMenuScreen.cs.

## Constructor & Destructor Documentation

MontyHallGame.MontyHallOptionsMenuScreen.MontyHallOptionsMenuScreen | ( |  | ) |

Constructor for the options menu screen of the gravity chooser.

Definition at line 32 of file MontyHallOptionsMenuScreen.cs.

    00033             : base("Monty Hall Game Options")
    00034         {
    00035             MenuEntry backMenuEntry = new MenuEntry("Back to Main Menu");
    00036             backMenuEntry.Selected += OnCancel;
    00037             MenuEntries.Add(backMenuEntry);
    00038         }

## Member Function Documentation

override void MontyHallGame.MontyHallOptionsMenuScreen.Draw | ( | GameTime | gameTime | ) | `[virtual]`

Draw the options screen.

Parameters:

  | gameTime | The current game time.

Reimplemented from NewGamePhysics.StateManager.MenuScreen.

Definition at line 87 of file MontyHallOptionsMenuScreen.cs.

    00088         {
    00089             base.Draw(gameTime);
    00090
    00091             // Draw scroller
    00092             SpriteBatch spriteBatch = ScreenManager.SpriteBatch;
    00093             scrollingInfoText.Draw(gameTime, spriteBatch);
    00094         }

override void MontyHallGame.MontyHallOptionsMenuScreen.LoadContent | ( |  | ) | `[virtual]`

Load graphics content for the screen.

Reimplemented from NewGamePhysics.StateManager.GameScreen.

Definition at line 42 of file MontyHallOptionsMenuScreen.cs.

    00043         {
    00044             base.LoadContent();
    00045
    00046             // Create scroller
    00047             SpriteFont font = ScreenManager.Fonts["menu"];
    00048             int width = ScreenManager.GraphicsDevice.Viewport.Width;
    00049             scrollingInfoText = new ScrollingText("-", font, width, 400); // text will be set later
    00050             scrollingInfoText.ScrollerSpeed = 200.0f;
    00051         }

override void MontyHallGame.MontyHallOptionsMenuScreen.Update | ( | GameTime | gameTime,
|  | bool | otherScreenHasFocus,
|  | bool | coveredByOtherScreen |
| ) |  |  | `[virtual]`

Update the main menu screen.

Parameters:

  | gameTime | The current game time.
  | otherScreenHasFocus | Flag indicating of another screen has the focus.
  | coveredByOtherScreen | Flag indicating of the screen is covered by another screen.

Reimplemented from NewGamePhysics.StateManager.MenuScreen.

Definition at line 63 of file MontyHallOptionsMenuScreen.cs.

    00064         {
    00065             if (WaitForUncover)
    00066             {
    00067                 if ((!coveredByOtherScreen) || (!otherScreenHasFocus))
    00068                 {
    00069                     // Update the texts
    00070                     UpdateAllTexts();
    00071
    00072                     // Update menu text
    00073                     WaitForUncover = false;
    00074                 }
    00075             }
    00076
    00077             // Update scrollers
    00078             scrollingInfoText.Update(gameTime);
    00079
    00080             base.Update(gameTime, otherScreenHasFocus, coveredByOtherScreen);
    00081         }

The documentation for this class was generated from the following file:

- C:/Users/Andreas Schiffler/Desktop/SVN/NewGamePhysics/MontyHallGame/Screens/MontyHallOptionsMenuScreen.cs